package wxcardvisit

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcardvisit"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card_visit/list wxcardvisit GetWxCardVisitList
//
// Get wx card visit list | 获取WxCardVisit列表
//
// Get wx card visit list | 获取WxCardVisit列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardVisitListReq
//
// Responses:
//  200: WxCardVisitListResp

func GetWxCardVisitListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardVisitListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcardvisit.NewGetWxCardVisitListLogic(r.Context(), svcCtx)
		resp, err := l.GetWxCardVisitList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
